Package htsjdk.samtools.cram.compression.rans

# Class RANSDecodingSymbol

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSDecodingSymbol

public final class RANSDecodingSymbol extends Object

## Constructor Summary

Constructors
Constructor
Description
`RANSDecodingSymbol()`

## Method Summary

Modifier and Type
Method
Description
`long`
`advanceSymbol4x8(long rIn, ByteBuffer byteBuffer, int scaleBits)`
`long`
`advanceSymbolNx16(long rIn, ByteBuffer byteBuffer, int scaleBits)`
`long`
`advanceSymbolStep(long r, int scaleBits)`
`void`
`set(int start, int freq)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSDecodingSymbol

public RANSDecodingSymbol()

## Method Details

### set

public void set(int start, int freq)

### advanceSymbolStep

public long advanceSymbolStep(long r, int scaleBits)

### advanceSymbol4x8

public long advanceSymbol4x8(long rIn, ByteBuffer byteBuffer, int scaleBits)

### advanceSymbolNx16

public long advanceSymbolNx16(long rIn, ByteBuffer byteBuffer, int scaleBits)